<!-- 搜索表单 -->
<template>
  <el-form label-width="90px" class="ele-form-search" @keyup.enter.native="search" @submit.native.prevent>
    <el-row :gutter="15">
 
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="产品名称:">
          <el-input clearable v-model="where.productName" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 9, md: 12 } : { span: 9 }">
        <el-form-item label="创建时间:">
          <el-date-picker class="w100" v-model="where.createTime" type="daterange" range-separator="至"
            start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd HH:mm:ss"
            :default-time="['00:00:00', '23:59:59']">
          </el-date-picker>
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label-width="0px">
          <el-button type="primary" icon="el-icon-search" class="ele-btn-icon" @click="search">
            查询
          </el-button>
          <el-button @click="reset" icon="el-icon-refresh-left" type="primary">重置</el-button>
        </el-form-item>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>

export default {
  props: [],
  data() {
    // 默认表单数据
    const defaultWhere = {
      productName: '',
      status: '',
      createTime: []
    };
    return {
      // 表单数据
      where: { ...defaultWhere },
      teamList: [],
    };
  },
  computed: {
    // 是否开启响应式布局
    styleResponsive() {
      return this.$store.state.theme.styleResponsive;
    }
  },
  watch: {},
  created() {
   
   },
  methods: {
    /* 搜索 */
    search() {
      const where = { ...this.where };
      if (where.createTime?.length) {
        where.createTimeStart = where.createTime[0];
        where.createTimeEnd = where.createTime[1];
      }
      delete where.createTime;
      this.$emit('search', where);
    },
    /*  重置 */
    reset() {
      this.where = { ...this.defaultWhere };
      this.search();
    },


  }
};
</script>
<style lang="scss" scoped>
.ele-form-actions {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
</style>
